%global dlrn_nvr os-net-config-9.3.1.dev13-0.20190513134523.9ed8760
%global dlrn 1
%define upstream_version 9.3.1.dev13
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:			os-net-config
Version: 9.3.1
Release: 0.20190513134524.9ed8760%{?dist}
Summary:		Host network configuration tool

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0: os-net-config-9.3.1.dev13-0.20190513134523.9ed8760-9ed8760c0f40b8149d293aabf110392265daf60d.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=9ed8760c0f40b8149d293aabf110392265daf60d
Patch0001: 0001-Enable-setting-domain-parameter-for-interfaces.patch
Patch0002: 0002-Add-ability-to-specify-multiple-search-domains.patch

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python2-devel
BuildRequires:	python2-pbr
BuildRequires:	python2-sphinx
BuildRequires:	python2-oslo-sphinx

Requires:	python-anyjson >= 0.3.3
Requires:	python2-eventlet >= 0.18.2
Requires:	python2-oslo-concurrency >= 3.8.0
Requires:	python2-oslo-config
Requires:	python2-oslo-utils >= 3.20.0
Requires:	python2-netaddr >= 0.7.13
Requires:	python2-iso8601 >= 0.1.11
Requires:	python2-six >= 1.9.0
Requires:	initscripts
Requires:	iproute
Requires:	ethtool
Requires:	dhclient
Requires:	PyYAML >= 3.10
Requires:	python2-pbr >= 2.0.0
Requires:	python2-jsonschema >= 2.0.0
Requires:	python-pyudev >= 0.15

%description
Host network configuration tool for OpenStack.

%prep

%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

%build
%{__python} setup.py build
%{__python} setup.py build_sphinx

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.rst
%doc LICENSE
%doc doc/build/html
%{_bindir}/os-net-config
%{_bindir}/os-net-config-sriov
%{python_sitelib}/os_net_config*


%changelog
* Wed May 29 2019 Harry Rybacki <hrybacki@redhat.com> 9.3.1-0.20190513134524.9ed8760
- Add ability to specify multiple search domains (rhbz#1713763)
- Enable setting domain parameter for interfaces (rhbz#1713763)

* Mon May 20 2019 Thierry Vignaud <tvignaud@redhat.com> 9.3.1-0.20190513134523.9ed8760
- rebase over RDO

* Tue Apr 23 2019 Bob Fournier <bfournie@redhat.com> 9.2.1-0.20190313054550
- Add ovs_options and ovs_extra parameters to VLAN object (rhbz#1698032)

* Wed Mar 27 2019 Saravanan KR <skramaja@redhat.com> 9.2.1-0.20190313054549.21dfd95
- Adding a udev rule to rename the vf representors. (rhbz#1686770)
- Adding a udev rule to save sriov interface name before configuring switchdev (rhbz#1686770)

* Fri Mar 01 2019 Bob Fournier <bfournie@redhat.com> 9.2.1-0.20190117181409
- Fix incorrect application of 'ip' commands for bridges (rhbz#1684590)

* Fri Feb 08 2019 Thierry Vignaud <tvignaud@redhat.com> 9.2.1-0.20190117181408.8e9242b
- rebase over RDO

* Thu Jan 31 2019 karthik s <ksundara@redhat.com> 9.2.1-0.20181008041836.bedb54a
- Updating requirements for pyudev, rhbz#1664933
- NIC-Partitioning: DPDK devices comes up properly after reboot, rhbz#1664933
- Sample templates for linux_bond, ovs_bond, dpdkbond using VFs, rhbz#1664933
- NIC Partitioning works with NM enabled, rhbz#1664933

